Uploaded image for project: 'Percona Distribution for PostgreSQL'
  1. Percona Distribution for PostgreSQL
  2. DISTPG-34

Cannot install percona packages with postgresql vanila

    Details

    • Type: Bug
    • Status: Done
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: 11.5, 11.6
    • Fix Version/s: 11.6
    • Component/s: Packaging
    • Labels:
      None

      Description

      apt-cache policy  postgresql-11postgresql-11:  Installed: 11.6-1.pgdg90+1  Candidate: 11.6-1.pgdg90+1  Version table: *** 11.6-1.pgdg90+1 500        500 http://apt.postgresql.org/pub/repos/apt stretch-pgdg/main amd64 Packages        100 /var/lib/dpkg/status 

      I have installed vanila postgresql–1 package and cannot install additional percona postgresql packages.

      apt-get install percona-pg-stat-monitor percona-postgresql-plpython3-11 percona-postgresql-pltcl-11 percona-postgresql-11-repack percona-postgresql-plperl-11 percona-postgresql-11-pgaudit percona-patroni 
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:The following packages have unmet dependencies:
       percona-pg-stat-monitor : Depends: percona-postgresql-11 but it is not going to be installed
       percona-postgresql-11-pgaudit : Depends: percona-postgresql-11 but it is not going to be installed
       percona-postgresql-11-repack : Depends: percona-postgresql-11 but it is not going to be installed
       percona-postgresql-plperl-11 : Depends: percona-postgresql-11 (= 2:11-6.2.stretch) but it is not going to be installed
       percona-postgresql-plpython3-11 : Depends: percona-postgresql-11 (= 2:11-6.2.stretch) but it is not going to be installed
       percona-postgresql-pltcl-11 : Depends: percona-postgresql-11 (= 2:11-6.2.stretch) but it is not going to be installed
       

        Smart Checklist

          Attachments

            Activity

              People

              • Assignee:
                evgeniy.patlan Evgeniy Patlan
                Reporter:
                mikhail.samoylov Mikhail Samoylov
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - Not Specified
                  Not Specified
                  Logged:
                  Time Spent - 5 hours, 30 minutes
                  5h 30m